#!/bin/bash
#
# This is the shell script to check the age of the most recent Simple Backup
# backup, using the 'backupage' C++ program (the source code for which should
# be included in the package you received).
#
# Note that I'm using an ssh server called hephaestus for my backups, and I
# don't need to include the ssh password because I'm using a public key for it.
# If you're using the default Simple Backup location, you'll want to change the
# first line to read this instead:
#
#     msg=$(ls -A1 /var/backup | backupage)
#
# You may also need to change the permissions on the /var/backup directory,
# since the earlier version of Simple Backup makes it unreadable to everyone.
#
# Also note that you'll need the 'libnotify-bin' package under Ubuntu, in order
# to get the notify-send program.

msg=$(ssh hephaestus ls -A1 backup/ | backupage)
notify-send -u critical -t 0 'Backup Age Monitor' "$msg"
